# Get the global district summary

`GET /api/global`

Every district's payments, recognition counts and goals, each region's totals, and the global totals and educational awards for the fiscal year. Complete responses are cached for 5 minutes per fiscalYear/fiscalMonth/latest combination; metadata.cached is true when a response is served from the cache.

**Query parameters**

- `fiscalYear` (string, optional): Fiscal year (YYYY-YYYY); defaults to the current fiscal year
- `fiscalMonth` (integer, optional): Fiscal month (1 = July); defaults to each district's latest month
- `latest` (boolean, optional, default true): Use each district's latest snapshot for the division goals

**Returns**

- `success` (enum) One of: `true`.
- `fiscal_year` (string)
- `fiscal_month` (nullable integer): The requested fiscal month, else the current one for the current fiscal year, else null.
- `data` (object)
  - `total_districts` (integer)
  - `total_regions` (integer)
  - `payments_to_date` (integer)
  - `new_payments` (integer)
  - `april_payments` (integer)
  - `late_payments` (integer)
  - `charter_payments` (integer)
  - `payments_base` (integer)
  - `active_clubs` (integer)
  - `paid_clubs` (integer)
  - `paid_club_base` (integer)
  - `distinguished_clubs` (integer)
  - `total_distinguished_clubs` (integer)
  - `presidents_distinguished_clubs` (integer)
  - `select_distinguished_clubs` (integer)
  - `smedley_distinguished_clubs` (integer)
  - `total_csps_completed` (integer)
  - `educational_awards_breakdown` (object): Educational awards by Pathways level, DTMs and Pathways Mentor Program completions.
    - `level_1` (integer)
    - `level_2` (integer)
    - `level_3` (integer)
    - `level_4` (integer)
    - `level_5` (integer)
    - `dtm` (integer)
    - `mentor_program` (integer)
  - `educational_awards_by_pathway` (object): Educational awards by Pathways path name. Only paths with an award appear.
  - `distinguished_rate` (number): Distinguished clubs as a percentage of active clubs.
  - `paid_rate` (number): Paid clubs as a percentage of active clubs.
  - `average_clubs_per_district` (number)
  - `districts` (array of objects)
    - `district` (string)
    - `region` (nullable string)
    - `fiscal_year` (string)
    - `fiscal_month` (integer)
    - `payments_to_date` (integer)
    - `new_payments` (integer)
    - `april_payments` (integer)
    - `late_payments` (integer)
    - `charter_payments` (integer)
    - `payments_base` (integer)
    - `payment_growth` (nullable number): Payments to date as a percentage of the payment base.
    - `active_clubs` (integer)
    - `paid_clubs` (integer)
    - `paid_club_base` (integer)
    - `club_growth` (nullable string)
    - `distinguished_clubs` (integer)
    - `total_distinguished_clubs` (integer)
    - `presidents_distinguished_clubs` (integer)
    - `select_distinguished_clubs` (integer)
    - `smedley_distinguished_clubs` (integer)
    - `distinguished` (nullable enum): The district's recognition level on current progress. One of: `President's Distinguished`, `Select Distinguished`, `Distinguished`, `None`, `null`.
    - `distinguished_status` (nullable enum): The same as distinguished. One of: `President's Distinguished`, `Select Distinguished`, `Distinguished`, `None`, `null`.
    - `dsp` (nullable string)
    - `training` (nullable string)
    - `market_analysis` (nullable string)
    - `region_advisor_meetings` (nullable string)
    - `communication_plan` (nullable string)
    - `october_payments` (integer)
    - `distinguished_clubs_percent` (number): Distinguished clubs as a percentage of the paid club base.
    - `clubs_5plus_goals` (integer)
    - `clubs_20plus_members` (integer)
    - `inactive_clubs` (integer)
    - `educational_ratio` (number)
    - `average_goals_met` (number)
    - `new_clubs_count` (integer)
    - `total_csps_completed` (integer)
    - `dist_club_goal_for_dist` (integer)
    - `dist_club_goal_for_select_dist` (integer)
    - `dist_club_goal_for_pres_dist` (integer)
    - `dist_club_goal_for_smed_dist` (integer)
    - `paid_club_goal_for_dist` (integer)
    - `paid_club_goal_for_select_dist` (integer)
    - `paid_club_goal_for_pres_dist` (integer)
    - `paid_club_goal_for_smed_dist` (integer)
  - `regions` (array of objects)
    - `region` (string)
    - `districts` (array of strings)
    - `payments_to_date` (integer)
    - `new_payments` (integer)
    - `april_payments` (integer)
    - `late_payments` (integer)
    - `charter_payments` (integer)
    - `payments_base` (integer)
    - `active_clubs` (integer)
    - `paid_clubs` (integer)
    - `paid_club_base` (integer)
    - `distinguished_clubs` (integer)
    - `total_distinguished_clubs` (integer)
    - `presidents_distinguished_clubs` (integer)
    - `select_distinguished_clubs` (integer)
    - `smedley_distinguished_clubs` (integer)
    - `educational_awards` (integer)
    - `base_membership` (integer)
    - `total_goals_met` (integer)
    - `total_clubs` (integer)
    - `october_payments` (integer)
    - `total_districts` (integer)
    - `distinguished_rate` (number): Distinguished clubs as a percentage of active clubs.
    - `paid_rate` (number): Paid clubs as a percentage of active clubs.
    - `average_clubs_per_district` (number)
    - `educational_ratio` (number)
    - `average_goals_met` (number)
- `metadata` (object)
  - `last_updated` (timestamp)
  - `cache_ttl` (integer): Seconds a complete response is reused for.
  - `fiscal_year` (string)
  - `response_time_ms` (integer)
  - `partial_data` (boolean): True when the educational awards could not be read.
  - `cached` (boolean)
- `filters` (object): Always empty; kept for compatibility.
- `timestamp` (timestamp)

**Errors**

- `422`: Invalid fiscal year or fiscal month
- `500`: Internal server error

**Example request**

```bash
curl "https://tm-api.devinpearson.me/api/global"
```

**Example response**

```json
{
  "success": true,
  "fiscal_year": "2026-2027",
  "fiscal_month": 5,
  "data": {
    "total_districts": 0,
    "total_regions": 0,
    "payments_to_date": 0,
    "new_payments": 0,
    "april_payments": 0,
    "late_payments": 0,
    "charter_payments": 0,
    "payments_base": 0,
    "active_clubs": 0,
    "paid_clubs": 0,
    "paid_club_base": 0,
    "distinguished_clubs": 0,
    "total_distinguished_clubs": 0,
    "presidents_distinguished_clubs": 0,
    "select_distinguished_clubs": 0,
    "smedley_distinguished_clubs": 0,
    "total_csps_completed": 0,
    "educational_awards_breakdown": {
      "level_1": 0,
      "level_2": 0,
      "level_3": 0,
      "level_4": 0,
      "level_5": 0,
      "dtm": 0,
      "mentor_program": 0
    },
    "educational_awards_by_pathway": {},
    "distinguished_rate": 0,
    "paid_rate": 0,
    "average_clubs_per_district": 0,
    "districts": [
      {
        "district": "74",
        "region": "11",
        "fiscal_year": "2026-2027",
        "fiscal_month": 5,
        "payments_to_date": 0,
        "new_payments": 0,
        "april_payments": 0,
        "late_payments": 0,
        "charter_payments": 0,
        "payments_base": 0,
        "payment_growth": 0,
        "active_clubs": 0,
        "paid_clubs": 0,
        "paid_club_base": 0,
        "club_growth": "string",
        "distinguished_clubs": 0,
        "total_distinguished_clubs": 0,
        "presidents_distinguished_clubs": 0,
        "select_distinguished_clubs": 0,
        "smedley_distinguished_clubs": 0,
        "distinguished": "President's Distinguished",
        "distinguished_status": "President's Distinguished",
        "dsp": "string",
        "training": "string",
        "market_analysis": "string",
        "region_advisor_meetings": "string",
        "communication_plan": "string",
        "october_payments": 0,
        "distinguished_clubs_percent": 0,
        "clubs_5plus_goals": 0,
        "clubs_20plus_members": 0,
        "inactive_clubs": 0,
        "educational_ratio": 0,
        "average_goals_met": 0,
        "new_clubs_count": 0,
        "total_csps_completed": 0,
        "dist_club_goal_for_dist": 0,
        "dist_club_goal_for_select_dist": 0,
        "dist_club_goal_for_pres_dist": 0,
        "dist_club_goal_for_smed_dist": 0,
        "paid_club_goal_for_dist": 0,
        "paid_club_goal_for_select_dist": 0,
        "paid_club_goal_for_pres_dist": 0,
        "paid_club_goal_for_smed_dist": 0
      }
    ],
    "regions": [
      {
        "region": "11",
        "districts": [
          "string"
        ],
        "payments_to_date": 0,
        "new_payments": 0,
        "april_payments": 0,
        "late_payments": 0,
        "charter_payments": 0,
        "payments_base": 0,
        "active_clubs": 0,
        "paid_clubs": 0,
        "paid_club_base": 0,
        "distinguished_clubs": 0,
        "total_distinguished_clubs": 0,
        "presidents_distinguished_clubs": 0,
        "select_distinguished_clubs": 0,
        "smedley_distinguished_clubs": 0,
        "educational_awards": 0,
        "base_membership": 0,
        "total_goals_met": 0,
        "total_clubs": 0,
        "october_payments": 0,
        "total_districts": 0,
        "distinguished_rate": 0,
        "paid_rate": 0,
        "average_clubs_per_district": 0,
        "educational_ratio": 0,
        "average_goals_met": 0
      }
    ]
  },
  "metadata": {
    "last_updated": "2026-11-19T04:30:00.000Z",
    "cache_ttl": 0,
    "fiscal_year": "2026-2027",
    "response_time_ms": 0,
    "partial_data": true,
    "cached": true
  },
  "filters": {},
  "timestamp": "2026-11-19T04:30:00.000Z"
}
```
